Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Interface T3ServicesDef

public interface T3ServicesDef

The T3ServicesDef interface defines WebLogic Services. Services within WebLogic implement methods from this interface. The methods in this interface provide access to a factory for its type of service or facility. An object factory for a service or facility is used in place of a constructor (as a "virtual constructor") to allocate resources in WebLogic.

A JNDI client can obtain a T3ServicesDef object by performing a lookup on weblogic.common.T3Services as shown below:

      T3ServicesDef t3 = (T3ServicesDef)
         ctx.lookup("weblogic.common.T3Services");

Author:
  Copyright (c) 1996-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `NAME`

Method Summary
`AdminServicesDef` | `admin()` Returns access to administrative services in WebLogic.
`EventServicesDef` | `events()` Returns access to event services in WebLogic.
`IOServicesDef` | `io()` Returns access to IO services in WebLogic.
`weblogic.jdbc.common.JdbcServicesDef` | `jdbc()` Returns access to JDBC services in WebLogic.
`LogServicesDef` | `log()` Returns access to log file services in WebLogic.
`NameServicesDef` | `name()` Returns access to name services in WebLogic.
`TimeServicesDef` | `time()` Returns access to time services in WebLogic.
`WorkspaceServicesDef` | `workspace()` Returns access to workspace services in WebLogic.

Field Detail

### NAME

    public static final java.lang.String NAME

Method Detail

### admin

    public AdminServicesDef admin()

  Returns access to administrative services in WebLogic.

### events

    public EventServicesDef events()

  Returns access to event services in WebLogic.

### jdbc

    public weblogic.jdbc.common.JdbcServicesDef jdbc()

  Returns access to JDBC services in WebLogic.

### log

    public LogServicesDef log()

  Returns access to log file services in WebLogic.

### name

    public NameServicesDef name()

  Returns access to name services in WebLogic.

### workspace

    public WorkspaceServicesDef workspace()

  Returns access to workspace services in WebLogic.

### io

    public IOServicesDef io()

  Returns access to IO services in WebLogic.

### time

    public TimeServicesDef time()

  Returns access to time services in WebLogic.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD